package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class StudentsTest {

    @Test
    public void testSingletonInstance(){
        Students students = Students.getInstance();
        Students students1 = Students.getInstance();

        Assert.assertSame(students, students1);
    }

    @Test
    public void testInitializationSetupStudents(){
        Students students = Students.getInstance();
        Person[] actual = students.getArray();

        Assert.assertEquals(39, actual.length);
    }

    @Test
    public void testInitializationSetupStudents01(){
        Students students = Students.getInstance();
        Person[] people = students.getArray();
        ArrayList<Long> IDs = new ArrayList<Long>();

        for(Person person : people){
            if(!IDs.contains(person.getId())){
                IDs.add(person.getId());
            }
        }

        Assert.assertEquals(people.length, IDs.size());
    }

}
