package io.zipcoder.interfaces;

public final class Instructors extends People<Instructor>{

    private static final Instructors INSTANCE = new Instructors();

    private Instructors(){
//        super.add(new Instructor(0, "Nhu"));
//        super.add(new Instructor(1, "Kris"));
//        super.add(new Instructor(2, "Wilhem"));
//        super.add(new Instructor(3, "Dolio"));
//        super.add(new Instructor(4, "Froilan"));
//        super.add(new Instructor(5, "Leon"));

        for(Educator educator : Educator.values()){
            super.add(new Instructor(educator.getId(), educator.getName()));
        }
    }

    public Instructor[] getArray() {

        return super.getPeopleList().toArray(new Instructor[super.getPeopleList().size()]);
    }

    public static Instructors getInstance() {
        return INSTANCE;
    }
}
