package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class EducatorTest{

   @Test
    public void testTeach(){
       Educator educator = Educator.NHU;
       Student student = new Student(19, "Jonathan");

       educator.teach(student, 10);

       Assert.assertEquals(10, student.getTotalStudyTime(), 0);
   }

    @Test
    public void testLecture(){
        Educator educator = Educator.NHU;
        Student student = new Student(19, "Jonathan");
        Student student1 = new Student(19, "Jonathan");
        Student student2 = new Student(19, "Jonathan");
        Student student3 = new Student(19, "Jonathan");

        educator.lecture(40, student, student1, student2, student3);

        Assert.assertEquals(10, student.getTotalStudyTime(), 0);
    }

    @Test
    public void testHoursWorked(){
        Educator educator = Educator.NHU;
        Student student = new Student(19, "Jonathan");
        Student student1 = new Student(19, "Jonathan");
        Student student2 = new Student(19, "Jonathan");
        Student student3 = new Student(19, "Jonathan");

        educator.lecture(40, student, student1, student2, student3);

        Assert.assertEquals(40, educator.getHoursWorked(), 0);
    }


}
