package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    @Test
    public void testImplementation(){
        Student student = new Student(19, "Jon");

        Assert.assertTrue(student instanceof Learner);
    }

    @Test
    public void testInheritance(){
        Student student = new Student(19, "Jon");

        Assert.assertTrue(student instanceof Person);
    }

    @Test
    public void testLearn(){
        Student student = new Student(19, "Jon");
        student.learn(12);

        Assert.assertTrue(student.getTotalStudyTime() == 12);

        student.learn(14);

        Assert.assertTrue(student.getTotalStudyTime() == 26);
    }

}
