package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestTeacher {

    @Test
    public void testTeacher(){
        Instructor instructor = new Instructor(20, "Nhu");
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance(){
        Instructor instructor = new Instructor(20, "Nhu");
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach(){
        Instructor instructor = new Instructor(20, "Nhu");
        Student student = new Student(19, "Jonathan");

        instructor.teach(student, 12);

        Assert.assertTrue(student.getTotalStudyTime() == 12.0);
    }

    @Test
    public void testLecture(){
        Instructor instructor = new Instructor(20, "Nhu");
        Student student = new Student(19, "Jon");
        Student student01 = new Student(19, "Jon");

        instructor.lecture(12 ,student, student01);

        Assert.assertTrue(student.getTotalStudyTime() == 6);
    }
}
